Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.cics.server
Class Region

    java.lang.Object
      |
      +--com.ibm.cics.server.Region

public class Region
extends java.lang.Object
implements RegionTraceBits

This class is a representation of the current TRANS system. It contains a set of static methods for the querying and setting the various region parameters.

Method Summary
`static void` | `disableTrace()` Not Implemented.
`static void` | `disableTrace(java.util.BitSet options)` Not Implemented.
`static void` | `enableTrace()` Not Implemented.
`static void` | `enableTrace(java.util.BitSet options)` Not Implemented.
`static java.lang.String` | `getAPPLID()` Get the APPLID of the TRANS region.
`static void` | `getCWA(CWAHolder holder)` Get a copy of the CWA.
`static java.lang.String` | `getSYSID()` Get the SYSID of this region.
`static void` | `setAPPLID(java.lang.String applid)` Not Implemented.
`static void` | `setCWA(byte[] data)` Set the CWA.
`static void` | `setSYSID(java.lang.String sysid)` Not Implemented.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### disableTrace

    public static void disableTrace()

  This method is not implemented in this release.
  Disable the main TRACE flag for this TRANS region.

### disableTrace

    public static void disableTrace(java.util.BitSet options)

  This method is not implemented in this release.
  Disable the TRANS region trace flags.
  Parameters:
    `options` - The trace flags to enable.
  See Also:
    `RegionTraceBits`

### enableTrace

    public static void enableTrace()

  This method is not implemented in this release.
  Enable the main TRACE flag for this TRANS region.

### enableTrace

    public static void enableTrace(java.util.BitSet options)

  This method is not implemented in this release.
  Enable the TRANS region trace flags.
  Parameters:
    `options` - The trace flags to disable.
  See Also:
    `RegionTraceBits`

### getAPPLID

    public static java.lang.String getAPPLID()

  Get the APPLID of the TRANS region.
  Returns:
    The APPLID.

### getCWA

    public static void getCWA(CWAHolder holder)

  Get a copy of the CWA.
  Parameters:
    `holder` - A holder for the CWA. If there is no CWA for this TRANS region, then a 0 length array is placed in the value of the holder.

### getSYSID

    public static java.lang.String getSYSID()

  Get the SYSID of this region.
  Returns:
    The SYSID.

### setAPPLID

    public static void setAPPLID(java.lang.String applid)

  This method is not implemented in this release.
  Set the APPLID of the TRANS region.
  Parameters:
    `applid` - The new APPLID.

### setCWA

    public static void setCWA(byte[] data)

  Set the CWA.
  Parameters:
    `data` - The new data to be placed into the CWA.

### setSYSID

    public static void setSYSID(java.lang.String sysid)

  This method is not implemented in this release.
  Set the SYSID of this region.
  Parameters:
    `sysid` - The new SYSID.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 by Sun Microsystems, Inc.